org.apache.pdfbox.pdmodel.interactive.action

## Class PDActionSubmitForm

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.action.PDAction
  - - org.apache.pdfbox.pdmodel.interactive.action.PDActionSubmitForm

All Implemented Interfaces:
  COSObjectable, PDDestinationOrAction

    public class PDActionSubmitForm
    extends PDAction

This represents a Submit-Form action that can be executed in a PDF document.

Author:
  Evgeniy Muravitskiy

### Field Summary

Fields
`static String` `SUB_TYPE` This type of action this object represents.

### Fields inherited from class org.apache.pdfbox.pdmodel.interactive.action.PDAction

`action, TYPE`

### Constructor Summary

Constructors
Constructor and Description
`PDActionSubmitForm()` Default Constructor
`PDActionSubmitForm(COSDictionary a)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`COSArray` `getFields()` An array identifying which fields to include in the submission or which to exclude, depending on the setting of the Include/Exclude flag in the Flags entry
`PDFileSpecification` `getFile()` This will get the file in which the destination is located.
`int` `getFlags()` A set of flags specifying various characteristics of the action
`void` `setFields(COSArray array)`
`void` `setFile(PDFileSpecification fs)` This will set the file in which the destination is located.
`void` `setFlags(int flags)`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.action.PDAction

`getCOSObject, getNext, getSubType, getType, setNext, setSubType, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUB_TYPE

    public static final String SUB_TYPE

This type of action this object represents.

See Also:
  Constant Field Values

### Constructor Detail

#### PDActionSubmitForm

    public PDActionSubmitForm()

Default Constructor

#### PDActionSubmitForm

    public PDActionSubmitForm(COSDictionary a)

Constructor

Parameters:
  `a` - the action dictionary

### Method Detail

#### getFile

    public PDFileSpecification getFile()
                                throws IOException

This will get the file in which the destination is located.

Returns:
  The F entry of the specific Submit-From action dictionary.
Throws:
  `IOException` - If there is an error creating the file spec.

#### setFile

    public void setFile(PDFileSpecification fs)

This will set the file in which the destination is located.

Parameters:
  `fs` - The file specification.

#### getFields

    public COSArray getFields()

An array identifying which fields to include in the submission or which to exclude, depending on the setting of the Include/Exclude flag in the Flags entry

Returns:
  the array of fields

#### setFields

    public void setFields(COSArray array)

Parameters:
  `array` - the array of fields

#### getFlags

    public int getFlags()

A set of flags specifying various characteristics of the action

Returns:
  the flags

#### setFlags

    public void setFlags(int flags)

Parameters:
  `flags` - the flags